<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.CensusItemNegativeInformationMapper">
    
    <resultMap type="CensusItemNegativeInformation" id="CensusItemNegativeInformationResult">
    	<id     property="id"      column="id"      />
        <result property="siteName"    column="site_name"    />
        <result property="siteUrl"     column="site_url"     />
        <result property="homepageType"     column="homepage_type"     />
        <result property="trends"     column="trends"     />
        <result property="columnFive"     column="column_five"     />
        <result property="interactiveResponse"     column="interactive_response"     />
        <result property="columnTen"     column="column_ten"     />
        <result property="notice"     column="notice"     />
        <result property="monitorTime"     column="monitor_time"     />
    </resultMap>
    
    <sql id="selectCensusItemNegativeInformationVo">
        select id, site_name, site_url, homepage_type, trends, column_five, interactive_response, column_ten, notice, monitor_time from sooka_censusitem_negativeinformation
    </sql>

    <select id="selectCensusItemNegativeInformationList" parameterType="CensusItemNegativeInformation" resultMap="CensusItemNegativeInformationResult">
        <include refid="selectCensusItemNegativeInformationVo"/>
    </select>

	<delete id="deleteCensusItemNegativeInformationAll" parameterType="Long">
		delete from sooka_censusitem_negativeinformation
	</delete>

	<insert id="insertBatch">
		insert into sooka_censusitem_negativeinformation (site_name, site_url, homepage_type, trends, column_five, interactive_response, column_ten, notice, monitor_time) values
		<foreach item="item" collection="list" separator=",">
			(#{item.siteName},#{item.siteUrl},#{item.homepageType},#{item.trends},#{item.columnFive},#{item.interactiveResponse},#{item.columnTen},#{item.notice},#{item.monitorTime})
		</foreach>
	</insert>


</mapper>